
all: subdirs $(TARGETS)

.PHONY : subdirs $(SUBDIRS)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

%.o: %.S
	$(CC) $(CFLAGS) -c $< -o $@

%.irx: %.c
	$(IOPCC) $(IOPCFLAGS) -nostartfiles -s -o $@ $<

.PHONY : clean
clean:
	@for dir in $(SUBDIRS); do $(MAKE) -C $$dir clean; done
	-rm -f *.o *.elf *.irx elf
